Package net.shibboleth.idp.saml.security.impl

# Class KeyAuthorityNodeProcessor

java.lang.Object
net.shibboleth.idp.saml.security.impl.KeyAuthorityNodeProcessor

All Implemented Interfaces:
  `MetadataNodeProcessor`

public class KeyAuthorityNodeProcessor extends Object implements MetadataNodeProcessor
An implementation of `MetadataNodeProcessor` which supports processing the Shibboleth `KeyAuthority` information within a metadata document.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`KeyAuthorityNodeProcessor()`

## Method Summary

Modifier and Type
Method
Description
`protected List<XMLObject>`
`getKeyAuthorities(EntitiesDescriptor entitiesDescriptor)`
Get the list of KeyAuthority's from an EntitiesDescriptor's Extensions.
`protected void`
`handleEntitiesDescriptor(EntitiesDescriptor entitiesDescriptor)`
Handle an `EntitiesDescriptor`.
`protected void`
`handleEntityDescriptor(EntityDescriptor entityDescriptor)`
Handle an `EntityDescriptor`.
`void`
`process(XMLObject metadataNode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

## Constructor Details

### KeyAuthorityNodeProcessor

public KeyAuthorityNodeProcessor()

## Method Details

### process

public void process(@Nonnull XMLObject metadataNode) throws FilterException

Specified by:
  `process` in interface `MetadataNodeProcessor`
Throws:
  `FilterException`

### handleEntitiesDescriptor

protected void handleEntitiesDescriptor(@Nonnull EntitiesDescriptor entitiesDescriptor) throws FilterException
Handle an `EntitiesDescriptor`.

Parameters:
  `entitiesDescriptor` - the entities descriptor being processed
Throws:
  `FilterException` - if there is a fatal error during processing

### handleEntityDescriptor

protected void handleEntityDescriptor(@Nonnull EntityDescriptor entityDescriptor) throws FilterException
Handle an `EntityDescriptor`.

Parameters:
  `entityDescriptor` - the entity descriptor being processed
Throws:
  `FilterException` - if there is a fatal error during processing

### getKeyAuthorities

@Nonnull @Unmodifiable @NotLive protected List<XMLObject> getKeyAuthorities(@Nonnull EntitiesDescriptor entitiesDescriptor)
Get the list of KeyAuthority's from an EntitiesDescriptor's Extensions.

Parameters:
  `entitiesDescriptor` - the entities descriptor to process.
Returns:
  list of XMLObjects